@charset "utf-8";
/* CSS Document
	Author:		Peter Brown
	Date:		2025-02-25
	Filename: pb-2-3-layout.css
*/

/*-pb- 	 fonts 	 -dq-*/
.caesar-dressing-regular {
  font-family: "Caesar Dressing", system-ui;
  font-weight: 400;
  font-style: normal;
}

/*-pb- 	 basic layout 	 -dq-*/
html {
	background-color: white;
}

body {
	width: 95vw;
	background-color: cornsilk;
	margin: auto;
	border: 4px solid brown;
	box-shadow: 0px 0px 12px 12px #aaaaaa;
}
header {
	width: 100%;
	background: cornsilk url("thm-hero-wide.jpg") left top / cover no-repeat content-box content-box;
	text-align: right;
	border-bottom: 4px solid brown;
}
div#hero {
	background: cornsilk url("3HM-logo.png") center center / contain no-repeat;
	text-align: right;
}
div#hero blockquote, header h1 {
	font-size: 7vw;
/*	font-family: "Caesar Dressing", system-ui; 	*/
	font-family: "Caesar Dressing", system-ui, Gotham, "Helvetica Neue", Helvetica, Arial, "sans-serif";
	color: rgba(71,33,0,1.00);
	text-shadow: 2px 2px 2px white;
	padding-right: 9px;
}

/*-pb- 	Article block -dq-*/

article {
	display: flex;
	flex-flow: column nowrap;
	padding: 16px;
}
article > h1 {
	display: block;
}
article > p {
	display: block;
	
}

/*-pb- 	Extras		-dq-*/

div#extras {
	display: flex;
	flex-flow: row nowrap;
}
div#extras figure {
	flex: 1 1 auto;
	display: flex;
	flex-flow: column nowrap;
}
div#extras figure h3 {
	display: block;
	font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, "sans-serif";
	letter-spacing: 1px;
	margin: 0;
}
div#extras figure p {
	margin: 0;
}
div#extras figure h6 {
	display: block;
	color: rgba(16,4,121,0.5); 
	font-size: 1em;
	width: 3em;
	height: 2em;
	border: 0.25em solid rgba(16,4,121,0.5);
	align-content: center;
	text-align: center;
	border-radius: 0.5em;
	margin: 0.5em;
}

/*-pb- 	nav lists	-dq-*/
nav h3 {
	display: block;
	font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, "sans-serif";
	letter-spacing: 3px;
	margin: 0 0 0 9px;
}
nav a {
	font-size: .9em;
	font-family: Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", "monospace";
	text-decoration: none;
	display: block;
	color: #100479;
	padding: 4px 8px;
}
nav a:hover {
	color: gold;
	background-color: rgba(16,4,121,0.5);
}
nav ul {
	list-style-type: none;
	padding-left: 0px;
	margin: 0 16px 0 4px;
}

/*-pb- 	Related Images		-dq-*/

div.images {
	display:grid;
	grid-template-columns: repeat(auto-fill, 175px);
}
div.images img {
	width: 150px;
	margin: 9px auto;
}

/*-pb- 	Footer		-dq-*/

footer {
	width: 100%;
	text-align: center;
	padding-bottom: 9px;
}
footer h1 {
	display: block;
	font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, "sans-serif";
	font-weight: lighter;
	letter-spacing: 9px;
}
footer address {
	display: block;
	font-family: "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, "sans-serif";
	font-weight: lighter;
	letter-spacing: 3px;
}

/*-pb- 	media query
		mobile 	up to 600		-dq-*/

@media all and (max-width: 600px) {
	body {
		display: flex;
		flex-flow: column nowrap;
	}
	div#hero {
		display: none;
	}
}

/*-pb- 	media query
		tablet 	501 to 899		-dq-*/

@media all and (min-width: 601px) {
	body {
		width: 90vw;
		margin: 32px auto;
		display: grid;
		grid-template-columns: 120px auto;
	}
	header, footer {
		grid-column: 1/-1;
		width: 100%;
	}
	div#hero, aside, div.posts {
		width: auto;
		min-width: 120px;
	}
	div#hero {
		aspect-ratio: 1/1;
	}
	div#hero blockquote {
		font-size: 1em;
	}
	article {
		grid-row: 2/4;
		grid-column: 2/3;
	}
	section#related {
		width: 100%;
		grid-column: 1/-1;
		display: flex;
		flex-flow: row nowrap;
	}
	div.posts {
		order: -1;
	}
	div.images {
		display: flex;
		flex-flow: row wrap;
		justify-content: space-between;
	}
}

/*-pb- 	media query
		desktop 900+			-dq-*/

@media all and (min-width: 900px) {
	body {
		display: grid;
		grid-template-columns: 300px auto;
	}
	div.posts, div#hero, aside {
		width: auto;
		min-width: 200px;
	}
	div#hero {
		background-image: url(TripleHornMead.jpg);
		border: 4px solid brown;
		border-left: 0px;
		border-top: 0px;
	}
	div.posts {
		order: 1;
	}
	nav#RelatedPosts ul {
		list-style-type:circle;
		padding-left: 32px;
		margin: 0 9px 0 4px;
	}
	nav#RelatedPosts a:hover {
		font-weight: bold;
		color: #100479;
		background: none;
	}
}